.megapost {
	width:100%;
	height:500px;
	position: relative;
    display: none;
}
.megapost__map {
	width: 100%;
	height: 100%;
    position: relative;
}
.megapost__sidebar {
    width: 330px;
    height: 480px;
    position: absolute;
    top:10px;
    right:10px;
    z-index:6;
    background: rgba(255, 255, 255, 0.65);
    overflow: hidden;
    -webkit-transform: rotateY(-101deg);
    transform: rotateY(-101deg);
    -webkit-transform-origin: right;
    -ms-transform-origin: right;
    transform-origin: right;
    opacity: 0;
    -webkit-transition: -webkit-transform 0.3s linear, opacity 0.5s ease-in;
    transition: transform 0.3s linear, opacity 0.5s ease-in;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    text-align: left;
}
.megapost__sidebar * {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
.megapost__sidebar.open {
    -webkit-transform: rotateY(0deg);
    transform: rotateY(0deg);
    opacity: 1;
}
.megapost__panel-headline {
    text-align: center;
    white-space: nowrap;
    padding: 5px 0;
    text-overflow: ellipsis;
    margin: 0 50px;
    width: auto;
    overflow: hidden;
}
.megapost__panel-headline span {
    font-size: 24px;
}
.megapost__panel-content {
    width: 100%;
    height: 420px;
    padding: 0px 5px 0px 1px;
    color: #333333;
}
.megapost__sidebar > div {
    height: 100%;
    width: 330px;
    position: absolute;
    top: 0px;
}
.megapost__panel-details {
    background: rgba(255, 255, 255, 0.75);
    width: 100%;
    height: 100%;
    left: 0px;
    -webkit-transition: left ease 0.5s;
    transition: left ease 0.5s;
}
.megapost__panel-details__back {
    width: 46px;
    height: 43px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    position: absolute;
    top: 0px;
    left: 0px;
    cursor: pointer;
    z-index: 4;
}
.megapost__panel-details__back:before, .megapost__panel-details__back:after {
    position: absolute;
    left: 22px;
    top:4px;
    content: ' ';
    height: 33px;
    width: 2px;
    background-color: #333;
}
.megapost__panel-details__back:before {
    transform: rotate(45deg);
}
.megapost__panel-details__back:after {
    transform: rotate(-45deg);
}
.megapost__panel-details__back:hover {
	opacity:0.5;
}
.megapost__panel-details .megapost__panel-content {
    padding-left: 18px;
}
.megapost__panel-details__block {
    margin-top: 12px;
}
.megapost__panel-details__block p {
    margin: 0px;
    padding-right: 18px;
}
.megapost__panel-details__block-head {
    font-size: 14px;
    margin-bottom: 2px;
    color: #b9b9b9;
}
.megapost__panel-details__block-text {
    font-size: 16px;
}
.megapost__choose {
    display: inline-block;
    padding: 8px 12px;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 3px;
    background-color: #DDD;
    color: #000;
}
.megapost__choose:hover {
    color: #333;
}
.megapost__choose.active {
    background-color: #a0d468;
    color: #fff !important;
}
.megapost__alert-danger, .megapost__current-pvz {
    text-align: left;
    padding: 10px;
    margin-bottom: 10px;
}
.megapost__alert-danger {
    color: #a94442;
    background-color: #f2dede;
}
.megapost__current-pvz {
    color: #3c763d;
    background-color: #dff0d8;
    display: none;
}
.megapost__current-pvz-address, .megapost__show-map {
    display: inline-block;
    margin-right: 20px;
}
.megapost__show-map {
    color: #0276d0;
    text-decoration: none;
    border-bottom: 1px dashed;
    cursor: pointer;
}
.shop_country_location_city_div .ui-helper-hidden-accessible,
.shop_country_location_city_addr_div .ui-helper-hidden-accessible {
  display: none;
}
.shop_country_location_city_div, .shop_country_location_city_addr_div, .deliveries-city-name {
    position: relative;
}
.deliveries-city-name {
    font-weight: 700;
    margin-bottom: 10px;
}
.deliveries-city-name .span-show-city {
    border-bottom: 1px dashed;
    cursor: pointer;
    color: #0051b8;
}
.shop_country_location_city_div .autocomplete-suggestions,
.shop_country_location_city_addr_div .autocomplete-suggestions,
.deliveries-city-name .autocomplete-suggestions,
.city_div .autocomplete-suggestions {
    background: #FFF;
    -webkit-box-shadow: 0 4px 5px rgba(0,0,0,0.15);
    -moz-box-shadow: 0 4px 5px rgba(0,0,0,0.15);
    box-shadow: 0 4px 5px rgba(0,0,0,0.15);
    position: absolute !important;
    top: 100%;
    z-index: 101 !important;
    text-align: left;
    width: 100%;
    padding: 0;
    max-height: 300px;
    overflow-y: auto;
    overflow-x: hidden;
}
.shop_country_location_city_div .autocomplete-suggestion,
.shop_country_location_city_addr_div .autocomplete-suggestion,
.deliveries-city-name .autocomplete-suggestion,
.city_div .autocomplete-suggestion {
    margin: 0;
    padding: 7px 18px;
    border-bottom: 1px solid #e9e9e9;
    list-style: none;
    cursor: pointer;
    color: #000;
}
.shop_country_location_city_div .autocomplete-suggestion:last-child,
.shop_country_location_city_addr_div .autocomplete-suggestion:last-child,
.deliveries-city-name .autocomplete-suggestion:last-child,
.city_div .autocomplete-suggestion:last-child {border: none !important;}

.megapost__map-touch-scroll{
    position:absolute;
    top:0;
    left:0;
    transition:opacity .2s;
    width:100%;
    height:100%;
    overflow:hidden;
    z-index:-2147483648;
    background:#000;
    opacity:0;
}
.megapost__map-touch-scroll:before{content:"";display:inline-block;vertical-align:middle;height:100%}
.megapost__map-touch-scroll-bg{position:absolute;top:0;left:0;height:100%;width:100%;opacity:0;}
.megapost__map-touch-scroll-content{position:relative;display:inline-block;vertical-align:middle;width:100%;color:#fff;text-align:center;box-sizing:border-box}
.boxLoaderDelivery .span-show-city {
    color: #0276d0;
    border-bottom: 1px dashed;
    cursor: pointer;
}
.boxLoaderDelivery hr {
    margin: 5px 0;
    border: 0;
    border-top: 1px solid #eee;
}
.other_city {
    color: #0276d0;
    text-decoration: none;
    border-bottom: 1px dashed;
    cursor: pointer;
    padding:0 !important;
}
.alert.alert-danger.fade.in {
    opacity:1 !important;
    position: relative;
    margin-bottom: 15px;
}
.scroll_block {
  overflow-y: auto;
  overflow-x: hidden;
  position: relative;
}
.scroll_block::-webkit-scrollbar {
  width: 3px;
}
.scroll_block::-webkit-scrollbar-track {
  background-color: #E1E9EB;
}
.scroll_block::-webkit-scrollbar-thumb {
  background-color: rgba(0,0,0,0.1);
}
.scroll_block:hover::-webkit-scrollbar-thumb {
  background-color: rgba(0,0,0,0.3);
}
@media (max-width: 768px) {
    .megapost__sidebar {
        width: 100%;
        height: 100%;
        top: 0;
        right: 0;
    }
}
hr.hrm {
    border-top: 1px solid rgba(0,0,0,.1);
    margin:30px 0;
}
#formMegaPost small {
    font-size: 80%;
}
#formMegaPost .form-group label{
    text-align: left;
    margin-bottom: 10px;
}
#cartScrollOneStep {
    height: 100%;
}
.cart_block-short .cart_item {
    position: relative;
    padding-top: 15px;
    padding-bottom: 15px;
    border-bottom: 1px solid #E1E9EB;
}
.cart_block-short .cart_item .cart_item-img {
    width: 60px;
}
.cart_block-total-right {
  border: 1px solid #E1E9EB;
  background-color: #fff;
}
.cart_block-total-right .cart_block-total-list {
  padding: 25px 20px 15px;
}
.cart_block-total-right .cart_block-total-list >.row {
  margin-bottom: 5px;
}
.cart_block-total-right .cart_b-total-title {
  font-weight: 700;
}
.cart_block-total-right .cart_b-total-desc {
  font-weight: 400;
  color: #A8AFBF;
  font-size: 12px;
}
.cart_block-total-right .cart_b-total-amount {
  font-weight: 700;
  font-size: 18px;
}
.cart_block-total-right .total_amount {
  font-weight: 700;
  font-size: 22px;
}
.cart_block-total-right .total_discount {
  color: #f91155;
}
.cart_block-total-right .cart_bonus-block {
  font-size: 12px;
}
.cart_block-total-right .cart_bonus-block .custom-control .custom-control-label {
  padding-top: 3px;
}
.cart_block-total-right .cart_bonus-block .custom-control svg {
  margin-left: 2px;
  fill: #9D9D9D;
  vertical-align: super;
  cursor: pointer;
}
.cart_block-total-right .total_amount-block {
  padding: 25px 20px;
  background-color: #F5F8F9;
}
.cart_block-total-right .total_amount-block .cart_b-total-title {
  font-size: 18px;
}
.cart_block-total-right .cart_item-sum {
    white-space: nowrap;
    font-weight: 600;
    padding-right: 20px;
    text-align: right;
}

#formMegaPost .shop_delivery-radio,
#formMegaPost .shop_payment-radio {
  margin-bottom: 15px;
}
#formMegaPost .shop_delivery-radio input[type=radio],
#formMegaPost .shop_payment-radio input[type=radio] {
  position: absolute;
  left: 0;
  z-index: -1;
  opacity: 0;
}
#formMegaPost .shop_delivery-radio label,
#formMegaPost .shop_payment-radio label {
  width: 100%;
  height: 100%;
  text-align: center;
  background-color: #fff;
  box-shadow: 0 5px 10px 0px rgba(57,57,57,0.1);
  padding: 15px 10px;
  border-radius: 3px;
  border: 1px solid transparent;
  position: relative;
}
#formMegaPost .shop_delivery-radio label .price_economy,
#formMegaPost .shop_payment-radio label .price_economy {
  position: absolute;
  top: -9px;
  right: 0;
  transform: translateX(20%);
}
#formMegaPost .shop_delivery-radio label .label_img,
#formMegaPost .shop_payment-radio label .label_img {
  height: 70px;
  margin-bottom: 10px;
}
#formMegaPost .shop_delivery-radio label .label_img svg,
#formMegaPost .shop_delivery-radio label .label_img img,
#formMegaPost .shop_payment-radio label .label_img svg,
#formMegaPost .shop_payment-radio label .label_img img {
  width: 70%;
  height: 100%;
  -o-object-fit: contain;
  object-fit: contain;
  object-position: contain;
}
#formMegaPost .shop_delivery-radio label .label_name,
#formMegaPost .shop_payment-radio label .label_name {
  font-size: 12px;
  margin-bottom: 5px;
}
#formMegaPost .shop_delivery-radio label .label_price,
#formMegaPost .shop_payment-radio label .label_price {
  margin-bottom: 5px;
}
#formMegaPost .shop_delivery-radio label .label_price >span,
#formMegaPost .shop_payment-radio label .label_price >span {
  background-color: #F5F8F9;
  padding: 3px 5px;
  border-radius: 3px;
}
#formMegaPost .shop_delivery-radio label .label_desc,
#formMegaPost .shop_payment-radio label .label_desc {
  font-size: 12px;
  color: #788093;
}
#formMegaPost.shop_delivery-radio label:hover,
#formMegaPost .shop_payment-radio label:hover {
  box-shadow: 0 5px 20px 0px rgba(57,57,57,0.15);
}
#formMegaPost .shop_delivery-radio input[type=radio]:checked~label,
#formMegaPost .shop_payment-radio input[type=radio]:checked~label {
  border-color: #269815;
  box-shadow: 0 5px 20px 0px rgba(57,57,57,0.15);
}
#formMegaPost .assembly_text {
    margin-bottom: 15px;
}
#formMegaPost .lifting--assembly2 .cart_b-total-title, #formMegaPost .lifting--assembly2 .cart_b-total-amount {
    font-weight: 700;
}